\hypertarget{structtimlCNNLinearParams}{\section{timl\-C\-N\-N\-Linear\-Params Struct Reference}
\label{structtimlCNNLinearParams}\index{timl\-C\-N\-N\-Linear\-Params@{timl\-C\-N\-N\-Linear\-Params}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
int \hyperlink{structtimlCNNLinearParams_acd07cee7c3110f460541e4e1c073176a}{dim}
\item 
int \hyperlink{structtimlCNNLinearParams_ae13aaf42aad15b64b3ad50dbf039e2a1}{prev\-Dim}
\item 
\hypertarget{structtimlCNNLinearParams_ac81c95e04502ed04022767f312d1e022}{float $\ast$ {\bfseries weight}}\label{structtimlCNNLinearParams_ac81c95e04502ed04022767f312d1e022}

\item 
\hypertarget{structtimlCNNLinearParams_aa9b30273d15c5148f309e1dfa56b2cec}{float $\ast$ {\bfseries weight\-Inc}}\label{structtimlCNNLinearParams_aa9b30273d15c5148f309e1dfa56b2cec}

\item 
\hypertarget{structtimlCNNLinearParams_ab78b322518b85be1d4a451ce06f81eed}{float $\ast$ {\bfseries weight\-Grad\-Accum}}\label{structtimlCNNLinearParams_ab78b322518b85be1d4a451ce06f81eed}

\item 
\hypertarget{structtimlCNNLinearParams_a00226f06faf8290c44cd2794526d21dd}{float $\ast$ {\bfseries bias}}\label{structtimlCNNLinearParams_a00226f06faf8290c44cd2794526d21dd}

\item 
\hypertarget{structtimlCNNLinearParams_a3a95e0a7fa146df7b962b3e6c4ef49c4}{float $\ast$ {\bfseries bias\-Inc}}\label{structtimlCNNLinearParams_a3a95e0a7fa146df7b962b3e6c4ef49c4}

\item 
\hypertarget{structtimlCNNLinearParams_a077929112b7d9e6a3179be1bfe2c1223}{float $\ast$ {\bfseries bias\-Grad\-Accum}}\label{structtimlCNNLinearParams_a077929112b7d9e6a3179be1bfe2c1223}

\item 
\hypertarget{structtimlCNNLinearParams_ab80c4d58ca4fe1c8ade864fb5fefd7f3}{float {\bfseries weight\-Decay\-Factor}}\label{structtimlCNNLinearParams_ab80c4d58ca4fe1c8ade864fb5fefd7f3}

\item 
\hypertarget{structtimlCNNLinearParams_a953e625ce545f72f5dafed22cb4b5a2c}{\hyperlink{structtimlUtilInitializer}{timl\-Util\-Initializer} {\bfseries weight\-Init}}\label{structtimlCNNLinearParams_a953e625ce545f72f5dafed22cb4b5a2c}

\item 
\hypertarget{structtimlCNNLinearParams_a3cdd12028c4c7d1ea7551be21d318257}{\hyperlink{structtimlUtilInitializer}{timl\-Util\-Initializer} {\bfseries bias\-Init}}\label{structtimlCNNLinearParams_a3cdd12028c4c7d1ea7551be21d318257}

\item 
\hypertarget{structtimlCNNLinearParams_a306b366b63679d2d06abe22f95f348dd}{float {\bfseries weight\-Learning\-Factor}}\label{structtimlCNNLinearParams_a306b366b63679d2d06abe22f95f348dd}

\item 
\hypertarget{structtimlCNNLinearParams_a23304a0310f38b6d8f7039e1ea806528}{float {\bfseries bias\-Learning\-Factor}}\label{structtimlCNNLinearParams_a23304a0310f38b6d8f7039e1ea806528}

\item 
bool \hyperlink{structtimlCNNLinearParams_aef1359b54369b95cd21ad069d3109d26}{shared}
\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{structtimlCNNLinearParams_acd07cee7c3110f460541e4e1c073176a}{\index{timl\-C\-N\-N\-Linear\-Params@{timl\-C\-N\-N\-Linear\-Params}!dim@{dim}}
\index{dim@{dim}!timlCNNLinearParams@{timl\-C\-N\-N\-Linear\-Params}}
\subsubsection[{dim}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Linear\-Params\-::dim}}\label{structtimlCNNLinearParams_acd07cee7c3110f460541e4e1c073176a}
1d dimension of the layer \hypertarget{structtimlCNNLinearParams_ae13aaf42aad15b64b3ad50dbf039e2a1}{\index{timl\-C\-N\-N\-Linear\-Params@{timl\-C\-N\-N\-Linear\-Params}!prev\-Dim@{prev\-Dim}}
\index{prev\-Dim@{prev\-Dim}!timlCNNLinearParams@{timl\-C\-N\-N\-Linear\-Params}}
\subsubsection[{prev\-Dim}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Linear\-Params\-::prev\-Dim}}\label{structtimlCNNLinearParams_ae13aaf42aad15b64b3ad50dbf039e2a1}
1d dimension of the previous layer \hypertarget{structtimlCNNLinearParams_aef1359b54369b95cd21ad069d3109d26}{\index{timl\-C\-N\-N\-Linear\-Params@{timl\-C\-N\-N\-Linear\-Params}!shared@{shared}}
\index{shared@{shared}!timlCNNLinearParams@{timl\-C\-N\-N\-Linear\-Params}}
\subsubsection[{shared}]{\setlength{\rightskip}{0pt plus 5cm}bool timl\-C\-N\-N\-Linear\-Params\-::shared}}\label{structtimlCNNLinearParams_aef1359b54369b95cd21ad069d3109d26}
if this layer shares the parameters from other layer 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
